/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VIsStudygroup;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VIsStudygroupRecord extends TableRecordImpl<VIsStudygroupRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_is_studygroup.key_element</code>.
     */
    public void setKeyElement(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_is_studygroup.key_element</code>.
     */
    public Integer getKeyElement() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_is_studygroup.dn</code>.
     */
    public void setDn(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_is_studygroup.dn</code>.
     */
    public String getDn() {
        return (String) get(1);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VIsStudygroupRecord
     */
    public VIsStudygroupRecord() {
        super(VIsStudygroup.V_IS_STUDYGROUP);
    }

    /**
     * Create a detached, initialised VIsStudygroupRecord
     */
    public VIsStudygroupRecord(Integer keyElement, String dn) {
        super(VIsStudygroup.V_IS_STUDYGROUP);

        setKeyElement(keyElement);
        setDn(dn);
        resetChangedOnNotNull();
    }
}
